[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.KeyDown

KeyDown - checks key for a number of special cases, and calls the OnKeyDown event handler if assigned, otherwise calls inherited KeyDown

## Declaration

Source position: dbgrids.pas line 420

`protected procedure TCustomDBGrid.KeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .